glibmm: Glib::Variant< gint16 > Class Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< gint16 > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a gint16 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< gint16 >:
[legend]

List of all members.

## Public Types
typedef gint16 | CType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
gint16 | get () const
| Gets the value of the Glib::Variant<gint16>.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< gint16 > | create (gint16 data)
| Creates a new Glib::Variant<gint16>.

## Detailed Description

### template<>
class Glib::Variant< gint16 >

Specialization of Glib::Variant containing a gint16 type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gint16 Glib::Variant< gint16 >::CType

## Constructor & Destructor Documentation

Glib::Variant< gint16 >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< gint16 >::Variant | ( | GVariant< gint16 > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<gint16> Glib::Variant< gint16 >::create | ( | gint16 | data | ) | `[static]`

Creates a new Glib::Variant<gint16>.

Parameters:

  data | The value of the new Glib::Variant<gint16>.

Returns:
  The new Glib::Variant<gint16>.

gint16 Glib::Variant< gint16 >::get | ( |  | ) | const

Gets the value of the Glib::Variant<gint16>.

Returns:
  The gint16 value of the Glib::Variant<gint16>.

static const VariantType& Glib::Variant< gint16 >::variant_type | ( |  | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.